package esempiocc;

public class ContoCorrente {

    private String nome;
    private String cognome;
    private int annoNascita;
    private int numeroConto;
    private double deposito;

    public ContoCorrente(String nome, String cognome, int annoNascita, int numeroConto) {
        setNome(nome);
        setCognome(cognome);
        setAnnoNascita(annoNascita);
        setNumeroConto(numeroConto);
    }

    public void deposita(double cifra) {
        deposito += cifra;
    }

    public boolean inPassivo() {
        if (deposito < 0) {
            return true;
        } else {
            return false;
        }
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public String getCognome() {
        return cognome;
    }

    public void setCognome(String cognome) {
        this.cognome = cognome;
    }

    public int getAnnoNascita() {
        return annoNascita;
    }

    public void setAnnoNascita(int annoNascita) {
        if (annoNascita < 1900) {
            System.out.println("Anno non valido: " + annoNascita);
        } else {
            this.annoNascita = annoNascita;
        }
    }

    public int getNumeroConto() {
        return numeroConto;
    }

    public void setNumeroConto(int numeroConto) {
        if (numeroConto <= 0) {
            System.out.println("Nuumero di conto non valido: " + numeroConto);
        } else {
            this.numeroConto = numeroConto;
        }
    }

    public double getDeposito() {
        return deposito;
    }

    public void setDeposito(double deposito) {
        this.deposito = deposito;
    }

}
